# [ThreeBodyProblem.jl](@id introduction)

```@meta
CurrentModule = ThreeBodyProblem
```

## Introduction
ThreeBodyProblem.jl is a package for spacecraft trajectory design. It focuses mainly on the Circular Restricted Three-Body Problem (CR3BP), but has functionality for keplerian two-body problems and bicircular four-body problems, as well as access to ephemeris data through SPICE.jl. The package makes use of OrdinaryDiffEq.jl to perform numerical integrations of trajectories.

The [Examples](@id example) section is designed to walk a user through the basics of the CR3BP, demonstrating how to define a CR3BP system from default options or using custom parameters.

<!-- It is based on methods and theory taught in Stanford University's AA279 class series. There are also functions related to the dynamical systems work of Martin Lo from JPL. -->



## Outline
```@contents
```

## Index of all types, methods, and constants
```@index
```
